{: test a compilation error occurs for invalid declaration keyword }

{$d+}
program e054( output );

var
   x : real;

procedure p;
begin
   x := 12.2
end; { e054 }

do {e054}                   {!!! invalid keyword}
   writeln( 'fails:  bad keyword symbol undetected');
end. {e054}

